# ![IP Finder](https://gitlab.com/LinxGem33/IP-Finder/raw/master/screens/ip-address3.png) IP Finder

### What is IP Finder Gnome Extension?

IP Finder displays information about your public IP address (hostname, country, AS block etc) as well as show a map & flag image of the IP's geolocation this extension is also useful for informational purposes to monitor VPN geolocation and public network IP addresses.

-----

![](https://gitlab.com/LinxGem33/IP-Finder/raw/master/screens/ipd.png)

-----

### Where is IP Finder's data retrieved from?

**Flag Icons:** 

Flag Icons used in IP Finder's extension are courtesy of: [gosquared](https://github.com/gosquared/flags), 
featuring thousands of high-quality flags, covering every country in the world.

**IP Data:** 

IP Data used for API calls are courtesy of: [ipinfo.io](http://ipinfo.io/) & [icanhazip.com](http://icanhazip.com), ipinfo.io provides a IP lookup API to quickly and simply integrate IP geolocation.

**Map Image:** 

The Geolocation Map Tile Image is courtesy of: [Google Maps](https://www.google.com/maps). google maps provides geographic data such as geocoding, directions, elevation, place and time zone information.

-----

### Installation

You can now install this extension from extensions.gnome.org website by clicking on the link below; 

> [One click install](https://extensions.gnome.org/extension/1190/ip-finder/)

-----

### Issues & Bugs

Bugs & issues should be reported [here](https://github.com/LinxGem33/IP-Finder/issues) on the Github issues tracker page.

-----

### Help & Support

If your unsure about anything or need a bit more help and support with IP Finder or just want to know a bit more about this extension and what it can do for you, just head over to the Wiki page by clicking on the link below:

> [IP Finder's Wiki](https://github.com/LinxGem33/IP-Finder/wiki)

-----

### License & Terms ![](https://gitlab.com/LinxGem33/IP-Finder/blob/master/screens/Copyleft-16.png)

IP Finder is available under the terms of the GPL-3.0 license See [`COPYING`](https://gitlab.com/LinxGem33/IP-Finder/blob/master/COPYING) for details.

----- 

### Contributions & Suggestions

Any suggestions for features and contributions to the continuing code development can be made on IP Finder's Github page via the issue tracker or code contributions via a pull request.
